#include "pds700.h"

int main(int argc, char *argv[])
{
	WORD rs;
	pds_mod_t mod;
	int i, com = 1;
	int baud[8] = {115200, 38400, 9600, 115200, 38400, 9600, 115200, 38400};
	int run = 2;
	char server_ip[24];
	
	if (argc!= 2)
	{
		fprintf(stderr,"Usage:%s [PDS ip]\a\n",argv[0]);
		exit(1);
	}

	strcpy(server_ip, argv[1]);

	while(run > 0)
	{
		memset(&mod, 0, sizeof(mod));
		com = 1;

		for(i = 0; i < 8; i++)
		{
			rs = Open_Com(&mod, server_ip, 10000, com, baud[com-1], 8, 0, 1);

			if(rs)
	        	{
        	        	printf("Error Code %d : Open PDS-700 COM%d Error\n", rs, atoi(argv[2]));
	        	        exit(1);
	        	}
		
			com++;
		}

		rs = Get_PDS_Network_Info(&mod);

		if(rs)
                	return rs;

		printf("PDS Server IP      : %s\n", mod.server_ip);
		printf("PDS Server MAC     : %s\n", mod.server_mac);
		printf("PDS Server Gateway : %s\n", mod.server_gateway);
		printf("PDS Server Submask : %s\n\n", mod.server_submask);

		strcpy(server_ip, "10.1.0.46");
		rs = Set_PDS_Server_IP(&mod, server_ip);

		if(rs)
        	        return rs;

		rs = Set_PDS_Server_Gateway(&mod, "10.1.0.254");

		if(rs)
                	return rs;

		rs = Set_PDS_Server_SubMask(&mod, "255.255.0.0");

        	if(rs)
                	return rs;

		Reset_PDS_Module(&mod);

		Close_Module(&mod);
	
		run--;
	}
}
